IGC0024I TITLE 'SAMPLE SVC 249 - WRITE A USER SMF RECORD'
*---------------------------------------------------------------------*
*       SAMPLE SVC 249 - WRITE A USER SMF RECORD                      *
*       PURPOSE:                                                      *
*           THIS SVC IS INVOKED BY THE SAMPLE ICETEXIT                *
*           ROUTINE TO WRITE THE USER SMF RECORD WITHOUT              *
*           BEING APF AUTHORIZED.                                     *
*                                                                     *
* NOTES:                                                              *
*   1) THIS EXAMPLES ASSUMES THE USE OF SVC 249 - CHANGE IT AS        *
*      APPROPRIATE IF YOU USE A DIFFERENT SVC.                        *
*   2) THIS EXAMPLE USES A SIMPLE PASSWORD CHECK TO VERIFY THAT IT    *
*      IS BEING CALLED BY ICETEXIT.  SINCE THIS PASSWORD SCHEME COULD *
*      EASILY BE COMPROMISED, YOU SHOULD CAREFULLY EVALUATE THE       *
*      RISKS IN USING IT AS IS IF YOU INSTALL IT IN YOUR SYSTEM.      *
*                                                                     *
* REQUIRED SYSTEM MACROS: SMFWTM, YREGS                               *
*---------------------------------------------------------------------*
         SPACE 1
IGC0024I CSECT
         USING IGC0024I,R6
         C     R0,PASSWORD         IS THE PASSWORD CORRECT?
         BNER  R14                    NO..RETURN TO CALLER
         SMFWTM (1)                WRITE THE SMF RECORD
         BR    R14                 RETURN TO CALLER
         SPACE 1
         DS    0F
PASSWORD DC    CL4'USMF'
         YREGS
         END
